package com.starry.admin.modules.withdraw.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.starry.admin.modules.withdraw.entity.WithdrawalRequestEntity;
import java.math.BigDecimal;

public interface IWithdrawalService extends IService<WithdrawalRequestEntity> {
    WithdrawalRequestEntity createWithdrawaRequest(String clerkId, BigDecimal amount);

    void markManualSuccess(String requestId, String operatorBy);

    void autoPayout(String requestId);
}
